Method: advertisers.creatives.patch

  • This page details how to update an existing creative using a PATCH request to a specific URL that includes the creative's advertiser and creative IDs as path parameters.

  • The request requires an updateMask query parameter to specify which fields of the creative should be updated.

  • The request body should contain an instance of the Creative resource with the updated information.

  • A successful response will return an instance of the Creative resource representing the updated creative.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Updates an existing creative. Returns the updated creative if successful.

HTTP request

PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{creative.advertiserId}/creatives/{creative.creativeId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
creative.advertiserId

string (int64 format)

Output only. The unique ID of the advertiser the creative belongs to.

creative.creativeId

string (int64 format)

Output only. The unique ID of the creative. Assigned by the system.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Creative.

Response body

If successful, the response body contains an instance of Creative.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.